
/**
 * @file oh_fsa.h
 * @version $Id$
 *
 * The header file that has the platform dependent part of the oh_fs.h.
 *
 * It can override any functions declared in the oh_fs.h with macro.
 */

#ifndef _OH_FSA_H_
#define _OH_FSA_H_

#ifdef __cplusplus
extern "C"
{
#endif /* __cplusplus */

#define OH_FS_MAXPATHLEN  1024
#define OH_FS_MAXNAMELEN  256

#define OH_FS_O_RDONLY    0x0000
#define OH_FS_O_WRONLY    0x0001
#define OH_FS_O_RDWR      0x0002
#define OH_FS_O_CREAT     0x0040
#define OH_FS_O_EXCL      0x0080
#define OH_FS_O_TRUNC     0x0200

#define OH_FS_SEEK_SET    0
#define OH_FS_SEEK_CUR    1
#define OH_FS_SEEK_END    2

#define OH_FS_S_IFDIR     0x4000
#define OH_FS_S_IFREG     0x8000
#define OH_FS_S_ISDIR(m)  ((OH_FS_S_IFDIR & (m)) != 0)
#define OH_FS_S_ISREG(m)  ((OH_FS_S_IFREG & (m)) != 0)

typedef struct oh_fs_stat_t
{
  oh_uint st_mode;
  oh_ulong st_size;
  oh_ulong st_mtime;
} oh_fs_stat_t;

typedef oh_void oh_fs_dir_t;

typedef struct oh_fs_dirent_t
{
  oh_char d_name[OH_FS_MAXNAMELEN];
} oh_fs_dirent_t;

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* _OH_FSA_H_ */
