
/**
 * @file oh_env.c
 * @version $Id$
 *
 * The source file that has the environment variable functions.
 */

#include <windows.h>

#include "oh_port.h"
#include "oh_env.h"

/**
 * Sets the environment name with the specified value.
 *
 * @param name The environment name.
 * @param val The environment value.
 * @return 0 if successful, not 0 otherwise.
 */
oh_int oh_ev_setEnv(const oh_char *name, const oh_char *val)
{
  return (SetEnvironmentVariableA(name, val) == 0);
}

/**
 * Gets the the value of the specified environment name.
 *
 * @param name The environment name.
 * @param valbuf The char string where the value of the environment name will
 * be written.
 * @param valbuflen The length of the "valbuf".
 * @return 0 if successful, not 0 otherwise.
 */
oh_int oh_ev_getEnv(const oh_char *name, oh_char *valbuf, oh_ulong valbuflen)
{
  return (GetEnvironmentVariableA(name, valbuf, valbuflen) == 0);
}
