
/**
 * @file oh_type.h
 * @version $Id$
 *
 * The header file that defines the platform independent primitive data types.
 */

#ifndef _OH_TYPE_H_
#define _OH_TYPE_H_

#include "oh_typea.h"

#ifdef __cplusplus
extern "C"
{
#endif /* __cplusplus */

/**
 * It's true, usually 1.
 */
#define OH_TRUE   (1)

/**
 * It's false, usually 0.
 */
#define OH_FALSE  (0)

/**
 * It's identical with 0, except for it's a pointer type.
 */
#define OH_NULL   ((oh_void *)0)

typedef union oh_v16
{
  oh_uint16 v;
  struct v16
  {
#ifdef OH_CF_INT16_BIG_ENDIAN
    oh_uint8 h;
    oh_uint8 l;
#else /* OH_CF_INT16_BIG_ENDIAN */
    oh_uint8 l;
    oh_uint8 h;
#endif /* OH_CF_INT16_BIG_ENDIAN */
  } v16;
} oh_v16;

typedef union oh_v32
{
  oh_uint32 v;
  struct v32
  {
#ifdef OH_CF_INT32_BIG_ENDIAN
    oh_v16 h;
    oh_v16 l;
#else /* OH_CF_INT32_BIG_ENDIAN */
    oh_v16 l;
    oh_v16 h;
#endif /* OH_CF_INT32_BIG_ENDIAN */
  } v32;
} oh_v32;

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* _OH_TYPE_H_ */
